LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

ENTITY tled IS
  PORT(
	clk : IN STD_LOGIC;
	led1 : OUT STD_LOGIC;
	led2 : OUT STD_LOGIC;
	led3 : OUT STD_LOGIC);
END tled;

ARCHITECTURE tled_arch OF tled IS
  SIGNAL counter : STD_LOGIC_VECTOR(25 DOWNTO 0);
BEGIN

  PROCESS (clk) IS
  BEGIN
    IF (clk'EVENT AND clk='1') THEN
      counter <= counter + 1;
    END IF;
  END PROCESS;

  led1 <= counter(25);
  led2 <= counter(24);
  led3 <= counter(23);

END tled_arch;
